List Command Logs

  • GET
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /commands
  • /:command_id
  • /logs

Get logs from a specific command execution

Request

REQUIRED SCOPES
SANDBOX_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

command_idrequiredstring
The ID of the command

Example: "cmd-9876543210fedcba"

GET PARAMETERS
followboolean
If true, streams logs until the command completes

Response

RESPONSE BODY
typestring enum
The type of command output stream
Allowed enum:
STDOUT,
STDERR
datastring
The command execution logs.

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/commands/:command_id/logs" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "type": "STDOUT", "data": "total 24" }
STATUS
200 OK